# Uses of Class
org.eclipse.mat.inspections.osgi.model.eclipse.Extension

Packages that use Extension
Package
Description
org.eclipse.mat.inspections.osgi.model
These are utilities for the OSGi bundle queries.
org.eclipse.mat.inspections.osgi.model.eclipse
These are utilities for Eclipse OSGi bundle queries.

## Uses of Extension in org.eclipse.mat.inspections.osgi.model

Methods in org.eclipse.mat.inspections.osgi.model that return types with arguments of type Extension
Modifier and Type
Method
Description
`List<Extension>`
Bundle.`getExtentions()`

## Uses of Extension in org.eclipse.mat.inspections.osgi.model.eclipse

Methods in org.eclipse.mat.inspections.osgi.model.eclipse that return types with arguments of type Extension
Modifier and Type
Method
Description
`List<Extension>`
ExtensionPoint.`getExtensions()`
Methods in org.eclipse.mat.inspections.osgi.model.eclipse with parameters of type Extension
Modifier and Type
Method
Description
`void`
ExtensionPoint.`addExtension(Extension extension)`